## org.eclipse.datatools.connectivity.oda.util.manifest
Class Property

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.Property

    public class Property

extends java.lang.Object

The definition of a property defined by an ODA data source extension or its supported data set definitions.
No validation is done on the attribute values; it is up to the consumer to process as appropriate.

Method Summary
`boolean` `allowsEmptyValueAsNull()` Returns a flag that indicates whether an empty value of this property can be treated as a null value.
`boolean` `canInherit()` Returns whether the property can inherit from parent.
`PropertyChoice[]` `getChoices()` Returns the selection list of choices for the property value.
`java.lang.String` `getDefaultValue()` Returns the default value of the property.
`java.lang.String` `getDisplayName()` Returns the display name of the extension-defined property.
`java.lang.String` `getGroupDisplayName()` If the property is defined in a group, returns the group's display name.
`java.lang.String` `getGroupName()` If the property is defined in a group, returns the group's name.
`java.lang.String` `getName()` Returns the property name.
`java.lang.String` `getType()` Returns the type of property.
`boolean` `isEditable(java.util.Properties propertiesVisibility)` Indicates whether this property value should be editable, per the definition specified in the properties element.
`boolean` `isEncryptable()` Returns a flag indicating whether this property value should be encrypted in the persistent report design file.
`boolean` `isVisible(java.util.Properties propertiesVisibility)` Indicates whether this property should be visible per the definition specified in the properties element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns the property name.

  Returns:
    property name

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the extension-defined property. Defaults to property name if no display name is specified.

  Returns:
    The display name of the property

### getGroupName

    public java.lang.String getGroupName()

  If the property is defined in a group, returns the group's name. Returns null for top-level property.

  Returns:
    the group name of the property, if applicable.

### getGroupDisplayName

    public java.lang.String getGroupDisplayName()

  If the property is defined in a group, returns the group's display name. Defaults to group name if no display name is specified. Returns null for top-level property.

  Returns:
    the group display name of the property, if applicable.

### getType

    public java.lang.String getType()

  Returns the type of property. See the extension point schema for a list of valid type values.

  Returns:
    property type.

### canInherit

    public boolean canInherit()

  Returns whether the property can inherit from parent. Defaults to true if none is specified.

  Returns:
    whether the property can inherit.

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the default value of the property. Could be null value.

  Returns:
    property default value.

### isEncryptable

    public boolean isEncryptable()

  Returns a flag indicating whether this property value should be encrypted in the persistent report design file.

  Returns:
    'true' or 'false' value that indicates whether the property value should be encrypted.

### allowsEmptyValueAsNull

    public boolean allowsEmptyValueAsNull()

  Returns a flag that indicates whether an empty value of this property can be treated as a null value.

  Returns:
    true if this property's empty value can be handled by the client as a null value

### getChoices

    public PropertyChoice[] getChoices()

  Returns the selection list of choices for the property value. An empty array is returned if no choices are specified.

  Returns:
    an array of PropertyChoice instances that represent the choice elements defined for the property.

### isVisible

    public boolean isVisible(java.util.Properties propertiesVisibility)

  Indicates whether this property should be visible per the definition specified in the properties element.

  Parameters:
    `propertiesVisibility` - the collection of property visibility defined for the element associated with this property
  Returns:
    true if property is defined to be visible; false otherwise

### isEditable

    public boolean isEditable(java.util.Properties propertiesVisibility)

  Indicates whether this property value should be editable, per the definition specified in the properties element.

  Parameters:
    `propertiesVisibility` - the collection of property visibility defined for the element associated with this property
  Returns:
    true if property is defined to be editable; false if the property value should be read only.